<?php
/**
 * This file provides a complete
 * reference to our shortcodes and
 * how to use theme.
 *
 * @since  1.0
 */
?>
<style type="text/css">
	h3.shortcode-ref-title {
		color: #9fbf50!important;
		font-weight: bold;
		font-size: 14px!important;
	}

	.shortcode-context .widefat th{
		border-bottom: 1px solid #e0e0e0;
		background: #eee;
	}
</style>
<h1>
	<?php _e('Shortcode Reference', 'nany'); ?>
</h1>
<h3 class="ref-description">
	<?php _e('All Nany Custom Shortcodes* are listed here. So if you forget on how to implement the shortcode, you can reference here. Other shortcodes that generated by a 3rd party plugin are unfortunately not displayed here. Have fun!', 'nany'); ?>
</h3>


<div class="shortcode-context">



<h3 class="shortcode-ref-title">1.) Highlight</h3>
<p><code>Usage: [highlight color="#fff" bg_color="#497bb8" size="22px" class="custom-class"]Text[/highlight]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>color</em></td>
		<td>Color for the highlight text.</td>
		<td>White</td>
	</tr>
	<tr>
		<td><em>bg_color</em></td>
		<td>Background Color for the highlight text.</td>
		<td>Primary Color</td>
	</tr>
	<tr>
		<td><em>size</em></td>
		<td>Font size for the highlight text.</td>
		<td>Based on content size.</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">2.) Dropcaps</h3>
<p><code>Usage: [dropcaps style="style-one" color="#fff" bg_color="#497bb8" size="22px" class="custom-class"]D[/dropcaps]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>style</em></td>
		<td>Different style option. Options are : style-one, style-two, style-three, style-four</td>
		<td>style-one</td>
	</tr>
	<tr>
		<td><em>color</em></td>
		<td>Color for the dropcaps text.</td>
		<td>Based on Style</td>
	</tr>
	<tr>
		<td><em>bg_color</em></td>
		<td>Background Color for the dropcaps text.</td>
		<td>Based on Style</td>
	</tr>
	<tr>
		<td><em>size</em></td>
		<td>Font size for the dropcaps text.</td>
		<td>Based on content size.</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">3.) Tooltip</h3>
<p><code>Usage: [tooltip tooltip="Tooltip Text" class="custom-class"]Text[/tooltip]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>tooltip</em></td>
		<td>Tooltip text.</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">4.) Icon</h3>
<p><code>Usage: [icon icon="fa-heart" size="20px" color="#DD3533" align="center" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>icon</em></td>
		<td>Icon class from <a href='http://fortawesome.github.io/Font-Awesome/cheatsheet/' target='_blank'>FontAwesome</a>.</td>
		<td>fa-heart</td>
	</tr>
	<tr>
		<td><em>size</em></td>
		<td>Icon Size</td>
		<td>20px</td>
	</tr>
	<tr>
		<td><em>color</em></td>
		<td>Icon Color</td>
		<td>#DD3533</td>
	</tr>
	<tr>
		<td><em>align</em></td>
		<td>Icon Alignment</td>
		<td>center</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">5.) Social Icon</h3>
<p><code>Usage: [social_icon link="#" target="_blank" icon="fa-facebook" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>link</em></td>
		<td>Social Icon Link</td>
		<td>#</td>
	</tr>
	<tr>
		<td><em>target</em></td>
		<td>Social Icon Link Target. Options : _blank, _self.</td>
		<td>_blank</td>
	</tr>
	<tr>
		<td><em>icon</em></td>
		<td>Icon class from <a href='http://fortawesome.github.io/Font-Awesome/cheatsheet/' target='_blank'>FontAwesome</a>.</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">6.) Single Image</h3>
<p><code>Usage: [single_image link="#" target="_blank" image_url="" alt_text="" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>link</em></td>
		<td>Single Image Link</td>
		<td>#</td>
	</tr>
	<tr>
		<td><em>target</em></td>
		<td>Single Image Link Target. Options : _blank, _self.</td>
		<td>_blank</td>
	</tr>
	<tr>
		<td><em>image_url</em></td>
		<td>Enter image url want to show.</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>alt_text</em></td>
		<td>Alternative text if image is not load.</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">7.) Join Us</h3>
<p><code>Usage: [join_us color="" bg_color="" text="" link="" target="_blank" icon="" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>color</em></td>
		<td>Icon</td>
		<td>White</td>
	</tr>
	<tr>
		<td><em>bg_color</em></td>
		<td>Icon Background Color</td>
		<td>Primary Color</td>
	</tr>
	<tr>
		<td><em>text</em></td>
		<td>Join Us Text</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>link</em></td>
		<td>Join Us Link</td>
		<td>#</td>
	</tr>
	<tr>
		<td><em>target</em></td>
		<td>Join Us Link Target. Options : _blank, _self.</td>
		<td>_blank</td>
	</tr>
	<tr>
		<td><em>icon</em></td>
		<td>Icon class from <a href='http://fortawesome.github.io/Font-Awesome/cheatsheet/' target='_blank'>FontAwesome</a>.</td>
		<td>fa-plus</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>


<h3 class="shortcode-ref-title">8.) Smooth Scroll</h3>
<p><code>Usage: [smooth_scroll link="#" target="_self" content="" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>link</em></td>
		<td>Smooth Scroll Link</td>
		<td>#</td>
	</tr>
	<tr>
		<td><em>target</em></td>
		<td>Smooth Scroll Link Target. Options : _blank, _self.</td>
		<td>_self</td>
	</tr>
	<tr>
		<td><em>content</em></td>
		<td>Text</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>

<h3 class="shortcode-ref-title">9.) Small Ads</h3>
<p><code>Usage: [small_ads link="#" target="_blank" image="" alt="" class="custom-class"]</code></p>
<h5>Shortcode Options:</h5>
<table class="wp-list-table widefat fixed posts">
	<tr>
		<th>ID</th>
		<th>Description</th>
		<th>Default Value</th>
	</tr>
	<tr>
		<td><em>link</em></td>
		<td>Small Ad Link</td>
		<td>#</td>
	</tr>
	<tr>
		<td><em>target</em></td>
		<td>Small Ad Link Target. Options : _blank, _self.</td>
		<td>_blank</td>
	</tr>
	<tr>
		<td><em>image</em></td>
		<td>Small Ad image url</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>alt</em></td>
		<td>Small Ad image alt text</td>
		<td>Null</td>
	</tr>
	<tr>
		<td><em>class</em></td>
		<td>You can edit this shortcode style by using class name.</td>
		<td>Null</td>
	</tr>
</table><p></p>



</div>
