<?php
/**
 * index.php
 *
 * The main template file.
 */

$full_width = ot_get_option('enable_fullwidth');
$sidebar_position = ot_get_option('sidebar_position');

if(!$full_width) {
	$full_width = 'col-lg-8 col-md-8 col-sm-12';
} else {
	$full_width = 'col-lg-12';
}
?>

<?php get_header(); ?>

<?php if($full_width && $sidebar_position === 'left') { get_sidebar(); } ?>

    <!-- Blog Content Starts -->
    <div class="<?php echo $full_width; ?>">
			<?php if ( have_posts() ) : while( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content', get_post_format() ); ?>
			<?php endwhile; ?>

			<?php nany_paging_nav(); ?>

			<?php else : ?>
				<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>
		</div> <!-- end col-lg-8 -->

<?php if($full_width && $sidebar_position === 'right') { get_sidebar(); } else { get_sidebar(); } ?>

<?php get_footer(); ?>